<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 17:22:58 CEST 2020 -->
<title>Class Hierarchy</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="org/polarsys/chess/fla/flamm/package-tree.html">org.polarsys.chess.fla.flamm</a>, </li>
<li><a href="org/polarsys/chess/fla/flamm/analysis/package-tree.html">org.polarsys.chess.fla.flamm.analysis</a>, </li>
<li><a href="org/polarsys/chess/fla/flamm/FailureTypes/package-tree.html">org.polarsys.chess.fla.flamm.FailureTypes</a>, </li>
<li><a href="org/polarsys/chess/fla/flamm/util/package-tree.html">org.polarsys.chess.fla.flamm.util</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">org.eclipse.emf.common.notify.impl.AdapterFactoryImpl (implements org.eclipse.emf.common.notify.AdapterFactory)
<ul>
<li type="circle">org.polarsys.chess.fla.flamm.util.<a href="org/polarsys/chess/fla/flamm/util/FlammAdapterFactory.html" title="class in org.polarsys.chess.fla.flamm.util"><span class="typeNameLink">FlammAdapterFactory</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.common.notify.impl.BasicNotifierImpl (implements org.eclipse.emf.common.notify.Notifier)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.BasicEObjectImpl (implements org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.MinimalEObjectImpl (implements org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
<ul>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/ACIDavoidable.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">ACIDavoidable</span></a> (implements org.eclipse.emf.ecore.EObject)</li>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/ACIDmitigation.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">ACIDmitigation</span></a> (implements org.eclipse.emf.ecore.EObject)</li>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/Connection.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">Connection</span></a> (implements org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/FlaBehaviour.html" title="interface in org.polarsys.chess.fla.flamm">FlaBehaviour</a>)</li>
<li type="circle">org.eclipse.emf.ecore.impl.EModelElementImpl (implements org.eclipse.emf.ecore.EModelElement)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.EFactoryImpl (implements org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, org.eclipse.emf.ecore.EFactory)
<ul>
<li type="circle">org.polarsys.chess.fla.flamm.FailureTypes.<a href="org/polarsys/chess/fla/flamm/FailureTypes/FailureTypesFactory.html" title="class in org.polarsys.chess.fla.flamm.FailureTypes"><span class="typeNameLink">FailureTypesFactory</span></a></li>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/FlammFactory.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">FlammFactory</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.impl.ENamedElementImpl (implements org.eclipse.emf.ecore.ENamedElement)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.EPackageImpl (implements org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, org.eclipse.emf.ecore.EPackage)
<ul>
<li type="circle">org.polarsys.chess.fla.flamm.FailureTypes.<a href="org/polarsys/chess/fla/flamm/FailureTypes/FailureTypesPackage.html" title="class in org.polarsys.chess.fla.flamm.FailureTypes"><span class="typeNameLink">FailureTypesPackage</span></a></li>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/FlammPackage.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">FlammPackage</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/Expression.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">Expression</span></a> (implements org.eclipse.emf.ecore.EObject)</li>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/Failure.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">Failure</span></a> (implements org.eclipse.emf.ecore.EObject)</li>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/NamedElement.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">NamedElement</span></a> (implements org.eclipse.emf.ecore.EObject)
<ul>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/Component.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">Component</span></a> (implements org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/FlaBehaviour.html" title="interface in org.polarsys.chess.fla.flamm">FlaBehaviour</a>)
<ul>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/CompositeComponent.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">CompositeComponent</span></a></li>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/SimpleComponent.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">SimpleComponent</span></a></li>
</ul>
</li>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/Port.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">Port</span></a></li>
</ul>
</li>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/Rule.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">Rule</span></a> (implements org.eclipse.emf.ecore.EObject)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.common.notify.impl.NotifierImpl
<ul>
<li type="circle">org.eclipse.emf.ecore.resource.impl.ResourceImpl (implements org.eclipse.emf.ecore.resource.Resource, org.eclipse.emf.ecore.resource.Resource.Internal)
<ul>
<li type="circle">org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl (implements org.eclipse.emf.ecore.xmi.XMLResource)
<ul>
<li type="circle">org.polarsys.chess.fla.flamm.util.<a href="org/polarsys/chess/fla/flamm/util/FlammResourceImpl.html" title="class in org.polarsys.chess.fla.flamm.util"><span class="typeNameLink">FlammResourceImpl</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.polarsys.chess.fla.flamm.util.<a href="org/polarsys/chess/fla/flamm/util/FlammReader.html" title="class in org.polarsys.chess.fla.flamm.util"><span class="typeNameLink">FlammReader</span></a></li>
<li type="circle">org.polarsys.chess.fla.flamm.analysis.<a href="org/polarsys/chess/fla/flamm/analysis/FlaSystem.html" title="class in org.polarsys.chess.fla.flamm.analysis"><span class="typeNameLink">FlaSystem</span></a></li>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/PortFailureTuple.html" title="class in org.polarsys.chess.fla.flamm"><span class="typeNameLink">PortFailureTuple</span></a></li>
<li type="circle">org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl (implements org.eclipse.emf.ecore.resource.Resource.Factory)
<ul>
<li type="circle">org.polarsys.chess.fla.flamm.util.<a href="org/polarsys/chess/fla/flamm/util/FlammResourceFactoryImpl.html" title="class in org.polarsys.chess.fla.flamm.util"><span class="typeNameLink">FlammResourceFactoryImpl</span></a></li>
</ul>
</li>
<li type="circle">org.polarsys.chess.fla.flamm.analysis.<a href="org/polarsys/chess/fla/flamm/analysis/SimpleFlaLogger.html" title="class in org.polarsys.chess.fla.flamm.analysis"><span class="typeNameLink">SimpleFlaLogger</span></a> (implements org.polarsys.chess.fla.flamm.analysis.<a href="org/polarsys/chess/fla/flamm/analysis/FlaLogger.html" title="interface in org.polarsys.chess.fla.flamm.analysis">FlaLogger</a>)</li>
<li type="circle">org.eclipse.emf.ecore.util.Switch&lt;T&gt;
<ul>
<li type="circle">org.polarsys.chess.fla.flamm.util.<a href="org/polarsys/chess/fla/flamm/util/FlammSwitch.html" title="class in org.polarsys.chess.fla.flamm.util"><span class="typeNameLink">FlammSwitch</span></a>&lt;T&gt;</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.xmi.util.XMLProcessor
<ul>
<li type="circle">org.polarsys.chess.fla.flamm.util.<a href="org/polarsys/chess/fla/flamm/util/FlammXMLProcessor.html" title="class in org.polarsys.chess.fla.flamm.util"><span class="typeNameLink">FlammXMLProcessor</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.polarsys.chess.fla.flamm.FailureTypes.<a href="org/polarsys/chess/fla/flamm/FailureTypes/FailureTypesPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm.FailureTypes"><span class="typeNameLink">FailureTypesPackage.Literals</span></a></li>
<li type="circle">org.polarsys.chess.fla.flamm.analysis.<a href="org/polarsys/chess/fla/flamm/analysis/FlaLogger.html" title="interface in org.polarsys.chess.fla.flamm.analysis"><span class="typeNameLink">FlaLogger</span></a></li>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/FlammPackage.Literals.html" title="interface in org.polarsys.chess.fla.flamm"><span class="typeNameLink">FlammPackage.Literals</span></a></li>
<li type="circle">org.eclipse.emf.common.notify.Notifier
<ul>
<li type="circle">org.eclipse.emf.ecore.EObject
<ul>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/FlaBehaviour.html" title="interface in org.polarsys.chess.fla.flamm"><span class="typeNameLink">FlaBehaviour</span></a></li>
</ul>
</li>
<li type="circle">org.polarsys.chess.fla.flamm.<a href="org/polarsys/chess/fla/flamm/FlaBehaviour.html" title="interface in org.polarsys.chess.fla.flamm"><span class="typeNameLink">FlaBehaviour</span></a></li>
</ul>
</li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li type="circle">org.polarsys.chess.fla.flamm.FailureTypes.<a href="org/polarsys/chess/fla/flamm/FailureTypes/I_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><span class="typeNameLink">I_mitigation</span></a> (implements org.eclipse.emf.common.util.Enumerator)</li>
<li type="circle">org.polarsys.chess.fla.flamm.FailureTypes.<a href="org/polarsys/chess/fla/flamm/FailureTypes/I_avoidable.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><span class="typeNameLink">I_avoidable</span></a> (implements org.eclipse.emf.common.util.Enumerator)</li>
<li type="circle">org.polarsys.chess.fla.flamm.FailureTypes.<a href="org/polarsys/chess/fla/flamm/FailureTypes/FailureType.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><span class="typeNameLink">FailureType</span></a> (implements org.eclipse.emf.common.util.Enumerator)</li>
<li type="circle">org.polarsys.chess.fla.flamm.FailureTypes.<a href="org/polarsys/chess/fla/flamm/FailureTypes/D_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><span class="typeNameLink">D_mitigation</span></a> (implements org.eclipse.emf.common.util.Enumerator)</li>
<li type="circle">org.polarsys.chess.fla.flamm.FailureTypes.<a href="org/polarsys/chess/fla/flamm/FailureTypes/D_avoidable.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><span class="typeNameLink">D_avoidable</span></a> (implements org.eclipse.emf.common.util.Enumerator)</li>
<li type="circle">org.polarsys.chess.fla.flamm.FailureTypes.<a href="org/polarsys/chess/fla/flamm/FailureTypes/C_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><span class="typeNameLink">C_mitigation</span></a> (implements org.eclipse.emf.common.util.Enumerator)</li>
<li type="circle">org.polarsys.chess.fla.flamm.FailureTypes.<a href="org/polarsys/chess/fla/flamm/FailureTypes/C_avoidable.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><span class="typeNameLink">C_avoidable</span></a> (implements org.eclipse.emf.common.util.Enumerator)</li>
<li type="circle">org.polarsys.chess.fla.flamm.FailureTypes.<a href="org/polarsys/chess/fla/flamm/FailureTypes/A_mitigation.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><span class="typeNameLink">A_mitigation</span></a> (implements org.eclipse.emf.common.util.Enumerator)</li>
<li type="circle">org.polarsys.chess.fla.flamm.FailureTypes.<a href="org/polarsys/chess/fla/flamm/FailureTypes/A_avoidable.html" title="enum in org.polarsys.chess.fla.flamm.FailureTypes"><span class="typeNameLink">A_avoidable</span></a> (implements org.eclipse.emf.common.util.Enumerator)</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
